/**
 * @file constants.hh
 *
 * A library of standard constants that are commonly used
 *
 * @date Oct 14th, 2009   last edited: Oct 14th, 2009
 *
 * @author Michael Sneddon
 */

#ifndef CONSTANTS_HH_
#define CONSTANTS_HH_


namespace Util {

	//!  The value of Pi up to 16 significant digits
	/*!
		@author Michael Sneddon
	 */
	const double PI = 3.141592653589793;

	//!  The value of Avogadro's Number up to 9 significant digits
	/*!
		@author Michael Sneddon
	 */
	const double NA = 6.02214179e23;

};

#endif /* CONSTANTS_HH_ */
